## Struct spirit

boost::cnv::spirit

## Synopsis

    // In header: <boost/convert/spirit.hpp>

    struct spirit : public boost::cnv::cnvbase< boost::cnv::spirit > {
      // types
      typedef boost::cnv::spirit               this_type;
      typedef boost::cnv::cnvbase< this_type > base_type;

      // public member functions
      template<typename string_type, typename out_type>
        void str_to(cnv::range< string_type >, optional< out_type > &) const;
      template<typename in_type, typename char_type>
        cnv::range< char_type * > to_str(in_type, char_type *) const;
    };

## Description

### `spirit` public member functions

1.     template<typename string_type, typename out_type>
         void str_to(cnv::range< string_type > range,
                     optional< out_type > & result_out) const;

2.     template<typename in_type, typename char_type>
         cnv::range< char_type * > to_str(in_type value_in, char_type * beg) const;